//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------
/**
 * \file gtest_capture_leg_odom.h
 *
 *  Created on: May 12, 2020
 *      \author: mfourmy
 */


#ifndef CAPTURE_LEG_ODOM_H
#define CAPTURE_LEG_ODOM_H

//Wolf includes
#include "core/capture/capture_base.h"
#include "core/capture/capture_motion.h"

namespace wolf {
    
WOLF_PTR_TYPEDEFS(CaptureLegOdom);

typedef enum
{
    POINT_FEET_RELATIVE_KIN,
    POINT_FEET_DIFFERENTIAL_KIN,
    HUMANOID_FEET_RELATIVE_KIN
} CaptureLegOdomType;


class CaptureLegOdom : public CaptureMotion
{
    public:
        /* 
        capture _data
        */
        CaptureLegOdom(
                    const TimeStamp& _init_ts,
                    SensorBasePtr _sensor_ptr,
                    const Eigen::MatrixXd& _data_kin,
                    Eigen::Matrix6d _data_cov, // for the moment only 6x6 mat, see if more involved computations are necessary (contact confidence...)
                    double dt,
                    CaptureLegOdomType lo_type); 
    
        ~CaptureLegOdom() override;

};

// inline Eigen::VectorXd CaptureLegOdom::correctDelta(const VectorXd& _delta, const VectorXd& _delta_error_biases) const
// {
//     return 
// }

} // namespace wolf

#endif // CAPTURE_LEG_ODOM_H
